This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 39328 - [Regression] Copy/paste line no longer works in XS in Windows
Summary: [Regression] Copy/paste line no longer works in XS in Windows
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Text Editor (show other bugs)
Version: 6.0.0 (C7)
Hardware: PC Windows
: High normal
Target Milestone: C7SR1
Assignee: Cody Russell
URL:
Depends on:
Blocks:
 
Reported: 2016-03-03 18:00 UTC by Mikayla Hutchinson
Modified: 2016-07-07 08:48 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Mikayla Hutchinson 2016-03-03 18:00:55 UTC
To repro:

1. On Windows, in XS the text editor, with no selection, place caret in middle of line
2. without moving caret, ctrl-c, then ctrl-v

Expected result:
The line is duplicated

Actual result:
The line is copied and pasted into the middle of itself

This is extremely annoying since I use this operation reflexively and in works in VS and in XS on Mac.
Comment 1 Mike Krüger 2016-03-04 06:40:23 UTC
@Cody: I assume that CopyOperation.MD_ATOM is broken on windows and it falls back to text cut & paste.

We should consider going away from gtk cut & paste on windows if it's not possible to fix that.
Comment 2 Rajneesh Kumar 2016-05-11 11:50:03 UTC
I have checked this issue with the cycle 7 build:
XamarinStudio-6.0.0.5148_656d09313c88e7bb40049cd743ccd7197979682f

I observed that this issue issue still exist with his build. With no selection, placeing caret in middle of line and performing ctrl-c, then ctrl-v. The line is copied and pasted into the middle of itself.

Screencast:http://www.screencast.com/t/PV14pQzKTP2b

So as of now I am reopening this issue. Please let me know that if I am missing something to check this.

Note: I have checked this on Mac XS and observed that the line is duplicated.

Environment Info:

=== Xamarin Studio Community ===

Version 6.0 (build 5148)
Installation UUID: d5642caa-c667-413d-9a72-73a008ecbcae
Runtime:
	Microsoft .NET 4.0.30319.42000
	GTK+ 2.24.26 (Light theme)
	GTK# 2.12.30

=== Xamarin.Profiler ===

Version: 0.31.0
Location: C:\Program Files (x86)\Xamarin\Profiler\XamarinProfiler.exe

=== Xamarin.Android ===

Version: 6.1.0.48 (Xamarin Studio Community)
Android SDK: E:\android-sdk\
	Supported Android versions:
		2.3    (API level 10)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
		5.1    (API level 22)
		6.0    (API level 23)

SDK Tools Version: 25.1.1
SDK Platform Tools Version: 23.1
SDK Build Tools Version: 22.0.1

Java SDK: C:\Program Files\Java\jdk1.7.0_71
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) 64-Bit Server VM (build 24.71-b01, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin Android Player ===

Version: 0.6.5
Location: C:\Program Files\Xamarin Android Player\DeviceManager.exe

=== Build Information ===

Release ID: 600005148
Git revision: 656d09313c88e7bb40049cd743ccd7197979682f
Build date: 2016-05-10 11:42:28-04
Xamarin addins: 078ae1fc0e27241049abc5118f382b86c016a9d1
Build lane: monodevelop-windows-cycle7

=== Operating System ===

Windows 10.0.10586.0 (64-bit)
Comment 3 Cody Russell 2016-07-06 19:29:32 UTC
https://github.com/mono/monodevelop/pull/1544
Comment 4 Arpit Jha 2016-07-07 06:00:20 UTC
I have checked this issue with build Xamarin Studio Community
Version 6.0.2 (build 50) and observed that working fine.

Screencast : http://www.screencast.com/t/PV14pQzKTP2b
Env Info: https://gist.github.com/Arpit360/b75c31001fe4371bdb6568e6d54ecdff

As per target milestone I ll verify this issue once fixed merge to C7SR1 builds.
Comment 5 Arpit Jha 2016-07-07 08:48:34 UTC
I have checked this issue with C7 build XamarinStudio-6.0.2.51_0cca811d73797f2a4f5ae198f79896fa75b5d823 and its working fine, here is screencast: http://www.screencast.com/t/brgEoaMej

Hence closing this issue.

Note You need to log in before you can comment on or make changes to this bug.